<div class="p-2">
  <p-breadcrumb [home]="{ icon: 'pi pi-home', label: ' Versiones taquigráficas', routerLink: '../' }"
    [model]="[{ icon: 'pi pi-book', label: ' Registro', routerLink: './' }]">
  </p-breadcrumb>
</div>
<div class="card p-3">
  <form novalidate>
    <div class="form-row" id="version">
      <div class="col-6 relative">
        <label for="">Fecha de la sesión:</label>
        <p-calendar [styleClass]="requerid.fecha? 'invalid w-100':'w-100'" dataType="string" dateFormat="dd-mm-yy"
          [showIcon]="true" placeholder="Escriba o seleccione la fecha de la sesión" [yearNavigator]="true"
          [monthNavigator]="true" yearRange="1800:2030" id="fecha" name="sesion" [(ngModel)]="taquigrafica.fechaSesion"
          (ngModelChange)="getMinistros($event)">
        </p-calendar>
        <i *ngIf="taquigrafica.fechaSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.fechaSesion = ''"></i>
      </div>
      <div class="col-6 relative">
        <label for="">Duración de la sesión:</label>
        <p-inputMask mask="99:99" slotChar="hh:mm" placeholder="Escriba la duración de la sesión"
          [styleClass]="requerid.fecha? 'invalid w-100':'w-100'" id="duracion" name="duracion" autocomplete="off"
          [(ngModel)]="taquigrafica.duracionSesion">
        </p-inputMask>
        <i *ngIf="taquigrafica.duracionSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.duracionSesion = ''"></i>
      </div>
      <div class="col-12 relative">
        <label for="">Número de Ministras y de Ministros que participaron en la sesión:</label>
        <input type="number" class="form-control" placeholder="Número de participantes en la sesión"
          autocapitalize="off" name="participantes" id="participantes"
          [(ngModel)]="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion">
        <i *ngIf="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.numeroMinistrasMinistrosParticiparonEnSesion = ''"></i>
      </div>
      <div class="col-12">
        <label class="my-2">Ministras y Ministros presentes en la sesión:</label>
        <ng-multiselect-dropdown [disabled]="!taquigrafica.fechaSesion" [data]="catalogos.ministros"
          [placeholder]="'Seleccione las(os) Ministras(os)'" [settings]="configDropdown" name="presentes" id="presentes"
          [(ngModel)]="taquigrafica.nombreMinistrasMinistrosPresentesEnSesion" (onSelect)="removeAusente($event)">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12">
        <label class="my-2">Ministras y Ministros ausentes en la sesión:</label>
        <ng-multiselect-dropdown [disabled]="!taquigrafica.fechaSesion" [data]="catalogos.ministros"
          [placeholder]="'Seleccione las(os) Ministras(os)'" [settings]="configDropdown" id="ausentes" name="ausentes"
          [(ngModel)]="taquigrafica.nombreMinistrasMinistrosAusentesEnSesion" (onSelect)="removePresente($event)">
        </ng-multiselect-dropdown>
      </div>
      <div class="col-12 mt-4">
        <div class="d-flex align-items-center justify-content-center">
          <p-checkbox name="decanocheck" [binary]="true" inputId="ny" [(ngModel)]="taquigrafica.hasPresidenteDecano">
          </p-checkbox>
          <p class="mx-2 mb-0" for="ny">Presidente Decano</p>
        </div>
      </div>
      <div class="col-12 mt-4 relative" *ngIf="taquigrafica.hasPresidenteDecano">
        <label>Presidente Decano</label>
        <p-dropdown [disabled]="!taquigrafica.fechaSesion" emptyFilterMessage="Sin resultados"
          [options]="ministros" optionLabel="nombre" [filter]="true" filterBy="nombre" [showClear]="true"
          optionValue="nombre" name="decano" id="decano" [(ngModel)]="taquigrafica.nombrePresidenteDecano"
          placeholder="Escriba o seleccione el presidente decano" styleClass="w-100">
        </p-dropdown>
        <!-- <input [disabled]="!taquigrafica.fechaSesion" type="text" list="presidenteDecano" class="form-control" autocomplete="off"
          name="decano" id="decano" [(ngModel)]="taquigrafica.nombrePresidenteDecano"
          placeholder="Escriba o seleccione el presidente decano" (input)="validatePonente($event.target.value)" />
        <datalist id="presidenteDecano">
          <option [value]="ministro" *ngFor="let ministro of catalogos.ministros">
            {{ministro}}
          </option>
        </datalist>
        <i *ngIf="taquigrafica.nombrePresidenteDecano" class="pi pi-times clear-autocomplete"
          (click)="taquigrafica.nombrePresidenteDecano = ''; validPonente = true"></i>
        <p class="not-valid" *ngIf="!validPonente">No es un ponente válido del catálogo.</p> -->
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-end">
          <p-button class="mt-3" icon="pi pi-save" label="Crear versión taquigráfica" styleClass="p-button-sm"
            (onClick)="createTaquigrafica()">
          </p-button>
        </div>
      </div>
    </div>
  </form>
</div>
